Qalyptus Server API Documentation (v2)

Download OpenAPI specification:

Qalyptus support team: support@qalyptus.com Terms of Service

Welcome to the Qalyptus API documentation. This comprehensive guide provides developers with all the necessary information to integrate Qalyptus's reporting capabilities into their applications seamlessly.

API Key

Create API key

Create a new API key.

Authorizations:
Bearer
Request Body schema:

The API key name, description and expiration date.

name
required
string non-empty
description
string or null
expiryDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "expiryDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample

Get user API keys

Get a list of all API keys with pagination and filtering support.

Authorizations:
Bearer
query Parameters
name
string

Api key name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description
string

Api key description used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
sort_by
string

Sort by field name (optional). Supported fields:

  • "Name"
  • "Description"
  • "Organization.name"
  • "CreatedAt"
  • "ExpiryDate"
expired
boolean

Expired Api key filter.

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Update API key

Update an existing API key.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the API key to update.

Request Body schema:

The updated API key details; name and description.

name
required
string non-empty
description
string or null

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string"
}

Response samples

Content type
No sample

Get user API key

Get the details of an API key by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the API key to retrieve.

Responses

Response samples

Content type
No sample

Delete API key

Delete a user's API key by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the API key to delete.

Responses

Response samples

Content type
No sample

Delete API keys

Delete multiple user API keys.

Authorizations:
Bearer
Request Body schema:

A list of unique identifiers for the API keys to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Delete API key (Admin)

Delete an API key by its unique identifier (Admin).

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the API key to delete.

Responses

Response samples

Content type
No sample

Delete API keys (Admin)

Delete multiple API keys (Admin).

Authorizations:
Bearer
Request Body schema:

A list of unique identifiers for the API keys to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Get all API keys (Admin)

Get a list of all API keys with pagination and filtering support (Admin).

Authorizations:
Bearer
query Parameters
user_id
string <uuid>

Filter by user (optional).

name
string

Api key name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description
string

Api key description used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
sort_by
string

Sort by field name (optional). Supported fields:

  • "Name"
  • "Description"
  • "CreatedAt"
  • "ExpiryDate"
expired
boolean

Expired Api key filter.

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Condition

Add condition

Add a new condition to the system.

Authorizations:
Bearer
Request Body schema:

The data for the condition to add.

projectId
required
string <uuid>
name
required
string non-empty
description
string or null
isActive
required
boolean

Responses

Request samples

Content type
{
  • "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
  • "name": "string",
  • "description": "string",
  • "isActive": true
}

Response samples

Content type
No sample

Get all conditions

Get all conditions by project with pagination and filtering support.

Authorizations:
Bearer
query Parameters
project_id
string <uuid>

Filter by project ID (optional).

is_active
boolean

Filter by active status (optional).

sort_by
string

Sort by field name (optional). supported fields: "name", "description", "project.name" "createdDate", "modifiedDate", "isActive"

name
string

Condition name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
description
string

Condition description used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Delete conditions

Delete one or more conditions by their IDs.

Authorizations:
Bearer
Request Body schema:

A list of unique identifiers for the conditions to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Update condition

Update an existing condition by its ID.

Authorizations:
Bearer
path Parameters
Conditionid
required
string <uuid>

The unique identifier of the condition to update.

Request Body schema:

The updated condition data.

projectId
required
string <uuid>
name
required
string non-empty
description
string or null
isActive
required
boolean

Responses

Request samples

Content type
{
  • "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
  • "name": "string",
  • "description": "string",
  • "isActive": true
}

Response samples

Content type
No sample

Duplicate condition

Duplicate an existing condition by its ID.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the condition to duplicate.

Responses

Response samples

Content type
No sample

Get condition by id

Get a specific condition by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the condition to retrieve.

Responses

Response samples

Content type
No sample

Get condition rules by condition id

Get all rules for a specific condition by its unique identifier with pagination support.

Authorizations:
Bearer
path Parameters
conditionId
required
string <uuid>

The unique identifier of the condition whose rules to retrieve.

query Parameters
sort_by
string

Sort by field name (optional). supported fields: "Name", "connection.name", "CreatedDate", "ModifiedDate"

name
string

Condition rule name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Add or update condition rules

Add or update rules for a specific condition.

Authorizations:
Bearer
path Parameters
conditionId
required
string <uuid>

The unique identifier of the condition to update rules for.

Request Body schema:

The rules to add or update for the condition.

required
Array of objects (ConditionRuleResponseDto)

Responses

Request samples

Content type
{
  • "items": [
    ]
}

Response samples

Content type
No sample

Add or update condition rules

Add or update rules for a specific condition.

Authorizations:
Bearer
path Parameters
conditionId
required
string <uuid>

The unique identifier of the condition to update rules for.

Request Body schema:

The rules to add or update for the condition.

id
string <uuid>
conditionId
required
string <uuid>
name
required
string non-empty
connectionId
required
string <uuid>
connection
string or null
numberOfValues
integer or null <int32>
Array of objects or null (ConditionRuleValueDto)

Responses

Request samples

Content type
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "conditionId": "1e06e0eb-07f6-4fcd-8750-870cbafd1693",
  • "name": "string",
  • "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",
  • "connection": "string",
  • "numberOfValues": 0,
  • "conditionRuleValues": [
    ]
}

Response samples

Content type
No sample

Get condition rule by condition id and rule id

Get a specific condition rule for a specific condition by its unique identifier.

Authorizations:
Bearer
path Parameters
conditionId
required
string <uuid>

The unique identifier of the condition whose rule to retrieve.

ruleId
required
string <uuid>

The unique identifier of the condition rule to retrieve.

Responses

Response samples

Content type
No sample

Add or update condition rules

Add or update rules for a specific condition.

Authorizations:
Bearer
path Parameters
conditionRuleId
required
string <uuid>

The unique identifier of the condition rule to update.

Request Body schema:

The rule to update for the condition.

id
string <uuid>
conditionId
required
string <uuid>
name
required
string non-empty
connectionId
required
string <uuid>
connection
string or null
numberOfValues
integer or null <int32>
Array of objects or null (ConditionRuleValueDto)

Responses

Request samples

Content type
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "conditionId": "1e06e0eb-07f6-4fcd-8750-870cbafd1693",
  • "name": "string",
  • "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",
  • "connection": "string",
  • "numberOfValues": 0,
  • "conditionRuleValues": [
    ]
}

Response samples

Content type
No sample

Delete conditions

Delete one or more conditions by their IDs.

Authorizations:
Bearer
path Parameters
conditionId
required
string <uuid>

The unique identifier of the condition whose rules should be deleted.

Request Body schema:

A list of unique identifiers for the condition rules to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Group

Add group

Add a new group to the system.

Authorizations:
Bearer
Request Body schema:

The request object containing group details.

name
required
string non-empty
description
string or null
organizationId
string or null <uuid>
isActive
boolean

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  • "isActive": true
}

Response samples

Content type
No sample

Get groups

Get a list of groups.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Type", "Organization.Name", "Users" "CreatedDate", "ModifiedDate"

name
string

Group name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Delete multiple groups

Delete multiple groups by their unique identifiers.

Authorizations:
Bearer
Request Body schema:

The list of group IDs to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Update group

Update an existing group by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the group to update.

Request Body schema:

The request object containing updated group details.

name
required
string non-empty
description
string or null
organizationId
string or null <uuid>
isActive
boolean

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  • "isActive": true
}

Response samples

Content type
No sample

Get group by id

Get a specific group by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the group to retrieve.

Responses

Response samples

Content type
No sample

Delete group

Delete a group by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the group to delete.

Responses

Response samples

Content type
No sample

Get group members

Get members of a group by group ID.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the group.

Responses

Response samples

Content type
No sample

Update group members

Update the members of a group.

Authorizations:
Bearer
Request Body schema:

The request object containing group and user details.

groupId
required
string <uuid>
name
required
string non-empty
description
string or null
userIds
Array of strings or null <uuid> [ items <uuid > ]

Responses

Request samples

Content type
{
  • "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55",
  • "name": "string",
  • "description": "string",
  • "userIds": [
    ]
}

Response samples

Content type
No sample

Hub

Get files

Get all files in the system (single, iteration and dedicated) with pagination and filtering.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "starred", "Type", "Name", "CreatedDate"

name
string

File name used for filtering (optional). Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
extension
string

File extension used for filtering (optional). Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
report.name
string

Report name used for filtering (optional). Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
is_iteration
boolean

Is iteration file filter (optional).

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get file occurrences

Get all occurrences of a specific file by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the file.

query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Type", "Name", "Size", "CreatedDate"

name
string

File name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get iteration report files

Get iteration report files for a specific report ID and file extension.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the report.

extension
required
string

The file extension.

query Parameters
sort_by
string

Sort by field name (optional). Available fields: "starred", "Type", "Name", "Size", "CreatedDate"

name
string

File name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get favorite files

Get favorite files for the authenticated user with pagination and filtering.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Type", "Name", "CreatedDate"

name
string

File name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
extension
string

File extension used for filtering (exact match). Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get recent files

Get recent files viewed or added within the last 7 days.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Type", "Name", "CreatedDate"

name
string

File name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
extension
string

File extension used for filtering (exact match).

event_type
string

Event type filter: "viewed" or "added" (exact match).

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Delete files last occurrence

Delete the last occurrence of each file for a specific task report.

Authorizations:
Bearer
path Parameters
taskReportId
required
string <uuid>

The unique identifier of the task report.

Responses

Response samples

Content type
No sample

Delete files

Delete multiple files and all their occurrences.

Authorizations:
Bearer
Request Body schema:

List of files to delete.

Array
id
string <uuid>
reportId
string <uuid>
reportName
string or null
reportAvailableFormats
Array of strings or null
reportDelete
boolean or null
isIteration
boolean or null
occurrenceId
string or null <uuid>
name
string or null
fullName
string or null
type
string or null
extension
string or null
thumbnailPath
string or null
size
integer or null <int32>
starred
boolean or null
typeMime
string or null
lastStarDate
string or null <date-time>
createdDate
string or null <date-time>
Array of objects or null (FileOccurrencerResponseDto)

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
No sample

Download file

Download a file or zipped report file.

Authorizations:
Bearer
query Parameters
id
string <uuid>

The unique identifier of the file to download.

isIteration
boolean
Default: false

Flag indicating whether the file is an iteration report.

Responses

Response samples

Content type
No sample

Hub Config

Update hub configuration

Update an existing hub configuration by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the hub configuration to update.

Request Body schema:

The updated hub configuration data.

fromEmail
required
string non-empty
fromName
required
string non-empty
customEmailFooter
string or null
hideSubsciptionLink
boolean

Responses

Request samples

Content type
{
  • "fromEmail": "string",
  • "fromName": "string",
  • "customEmailFooter": "string",
  • "hideSubsciptionLink": true
}

Response samples

Content type
No sample

Get hub configuration

Get the current hub configuration.

Authorizations:
Bearer

Responses

Response samples

Content type
No sample

Hub Folder

Add folder

Add a new folder to the hub.

Authorizations:
Bearer
Request Body schema:

The data for the folder to add.

parentId
string or null <uuid>
name
required
string non-empty
parentUrl
required
string non-empty
location
required
string non-empty

Responses

Request samples

Content type
{
  • "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
  • "name": "string",
  • "parentUrl": "string",
  • "location": "string"
}

Response samples

Content type
No sample

Get folders

Get all folders, optionally excluding a specific folder or the root folder.

Authorizations:
Bearer
query Parameters
exceptFolderId
string <uuid>

Optional folder ID to exclude from the results.

exceptRoot
boolean
Default: false

If true, excludes the root folder from the results.

Responses

Response samples

Content type
No sample

Update folder

Update an existing folder by its unique identifier.

Authorizations:
Bearer
path Parameters
HubFolderId
required
string <uuid>

The unique identifier of the folder to update.

Request Body schema:

The updated folder data.

parentId
string or null <uuid>
name
required
string non-empty
parentUrl
required
string non-empty
location
required
string non-empty

Responses

Request samples

Content type
{
  • "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
  • "name": "string",
  • "parentUrl": "string",
  • "location": "string"
}

Response samples

Content type
No sample

Get folders except root.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "ParentUrl"

name
string

Folder name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get subfolders

Get all subfolders of a specific folder.

Authorizations:
Bearer
query Parameters
folderId
string <uuid>

The unique identifier of the parent folder.

ofRoot
boolean
Default: false

If true, retrieves subfolders of the root folder.

Responses

Response samples

Content type
No sample

Get folder by id

Get a folder by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the folder.

Responses

Response samples

Content type
No sample

Delete folder

Delete a folder by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the folder to delete.

Responses

Response samples

Content type
No sample

Delete folders

Delete one or more folders by their unique identifiers.

Authorizations:
Bearer
Request Body schema:

A list of unique identifiers for the folders to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Identity Provider

Get all identity providers

Get a list of all identity providers in the system.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Description", "Type"

name
string

Identity provider name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description
string

Identity provider description used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
type
string

Identity provider type used for filtering (e.g., "SAML", "JWT"). Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Delete identity providers

Delete multiple identity providers by their unique identifiers.

Authorizations:
Bearer
Request Body schema:

List of identity provider identifiers to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Add identity provider

Add a new identity provider to the system.

Authorizations:
Bearer
Request Body schema:

The identity provider details to create.

name
required
string non-empty
description
string or null
signAuthnRequest
boolean
entityID
string or null
singleSignOnUrl
string or null
type
required
string non-empty
certificatePublicKey
string or null
singleLogoutUrl
string or null
certificateFile
string or null
buttonLabel
string or null

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "signAuthnRequest": true,
  • "entityID": "string",
  • "singleSignOnUrl": "string",
  • "type": "string",
  • "certificatePublicKey": "string",
  • "singleLogoutUrl": "string",
  • "certificateFile": "string",
  • "buttonLabel": "string"
}

Response samples

Content type
No sample

Get identity provider by id

Get a specific identity provider by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the identity provider.

Responses

Response samples

Content type
No sample

Update identity provider

Update an existing identity provider by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the identity provider to update.

Request Body schema:

The updated identity provider details.

name
required
string non-empty
description
string or null
signAuthnRequest
boolean
entityID
string or null
singleSignOnUrl
string or null
type
required
string non-empty
certificatePublicKey
string or null
singleLogoutUrl
string or null
certificateFile
string or null
buttonLabel
string or null

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "signAuthnRequest": true,
  • "entityID": "string",
  • "singleSignOnUrl": "string",
  • "type": "string",
  • "certificatePublicKey": "string",
  • "singleLogoutUrl": "string",
  • "certificateFile": "string",
  • "buttonLabel": "string"
}

Response samples

Content type
No sample

Delete identity provider by id

Delete a specific identity provider by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the identity provider to delete.

Responses

Response samples

Content type
No sample

Return the default IDP used in all organizations. One and the same IDP is configured in all organizations.

Authorizations:
Bearer

Responses

Response samples

Content type
No sample

Organization

Add organization

Add a new organization to the system.

Authorizations:
Bearer
Request Body schema:

The data for the organization to add.

name
string or null
displayName
required
string non-empty
description
string or null
themeId
required
string <uuid>

Responses

Request samples

Content type
{
  • "name": "string",
  • "displayName": "string",
  • "description": "string",
  • "themeId": "53fe7fb9-b3ba-4541-bf79-a49c12f44b76"
}

Response samples

Content type
No sample

Get all organizations

Get a list of all organizations.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "DisplayName", "Description"

name
string

Organization name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description
string

Organization description used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Update organization

Update an existing organization by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the organization to update.

Request Body schema:

The updated organization data.

name
string or null
displayName
required
string non-empty
description
string or null
themeId
required
string <uuid>

Responses

Request samples

Content type
{
  • "name": "string",
  • "displayName": "string",
  • "description": "string",
  • "themeId": "53fe7fb9-b3ba-4541-bf79-a49c12f44b76"
}

Response samples

Content type
No sample

Get organization by id

Get a specific organization by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the organization to retrieve.

Responses

Response samples

Content type
No sample

Delete organization by id

Delete a specific organization by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the organization to delete.

Responses

Response samples

Content type
No sample

Get all organizations

Get a list of all organizations.

Authorizations:
Bearer

Responses

Response samples

Content type
No sample

Get organization projects

Get all projects for a specific organization with optional filtering, sorting, and pagination.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the organization.

query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Description"

name
string

Project name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get organization members

Get all members of a specific organization with optional filtering, sorting, and pagination.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the organization.

query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Type", "Name", "Email"

name
string

Member name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
type
string

Member type used for filtering. Available types : "user", "group".

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get organization resources

Get all resources of a specific organization with optional filtering, sorting, and pagination.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the organization.

query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Description", "Url"

name
string

Resource name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description
string

Resource description used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get organization Qlik apps

Get all Qlik apps of a specific organization with optional filtering, sorting, and pagination.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the organization.

query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Stream"

name
string

QlikApp name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Update organization Qlik apps

Update Qlik apps of a specific organization.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the organization.

Request Body schema:

The updated list of Qlik apps.

Array
id
string <uuid>
appId
string or null
name
string or null
description
string or null
stream
string or null
folder
string or null

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
No sample

Get Qlik apps without organization

Get all Qlik apps that are not associated with any organization with optional filtering, sorting, and pagination.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Stream"

name
string

QlikApp name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get organization authentications

Get authentication details of a specific organization.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the organization.

Responses

Response samples

Content type
No sample

Update organization authentications

Update authentication details of a specific organization.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the organization.

Request Body schema:

The updated authentication details.

allowNtlm
boolean
allowJwt
boolean
Array of objects or null (IdentityProviderResponseInfoDto)

Responses

Request samples

Content type
{
  • "allowNtlm": true,
  • "allowJwt": true,
  • "identityProviders": [
    ]
}

Response samples

Content type
No sample

Delete organizations

Delete organizations by their unique identifiers.

Authorizations:
Bearer
Request Body schema:

A list of organization IDs to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Project

Get project by id

Get a project by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the project.

Responses

Response samples

Content type
No sample

Get projects

Get a list of all projects with pagination and filtering.

Authorizations:
Bearer
query Parameters
organization_id
string <uuid>

Filter by organization name (optional)

modified_by
string

Filter by modified by user (optional) : exact match.

is_active
boolean

Filter by active status (optional)

sort_by
string

Sort by field name (optional). Available fields: "Name", "Description", "Organization.name", "IsActive", "Tasks", "CreatedDate", "ModifiedDate"

name
string

Project name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
description
string

Project description used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Delete projects

Delete one or more projects.

Authorizations:
Bearer
query Parameters
deleteFiles
boolean

Whether to delete associated files.

Request Body schema:

A list of project IDs to delete.

Array
id
required
string <uuid>
name
required
string non-empty

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
No sample

Delete project

Delete one project.

Authorizations:
Bearer
path Parameters
projectId
required
string <uuid>

The identifier of the project to delete

query Parameters
deleteFiles
boolean

Whether to delete associated files.

Responses

Response samples

Content type
No sample

Download project

Download a project and its template files as a zip archive.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the project to download.

Responses

Response samples

Content type
No sample

Qlik App

Add Qlik app

Create a new Qlik app.

Authorizations:
Bearer
Request Body schema:

The data for the Qlik app to add.

appId
required
string non-empty
name
required
string non-empty
description
string or null
folderId
required
string <uuid>
folderPath
required
string non-empty
stream
string or null
mashupTemplate
string or null
allowQlikSenseApp
required
boolean
allowMashup
required
boolean
defaultOpen
required
string non-empty
templateTitle
string or null
templateDescription
string or null
themeId
string or null
organizationId
string or null <uuid>
Array of objects or null (QlikFieldRequestDto)
Array of objects or null (QlikAppSheetsRequestDto)

Responses

Request samples

Content type
{
  • "appId": "string",
  • "name": "string",
  • "description": "string",
  • "folderId": "5b6379a4-2a6c-4085-b184-45838a3b8e7e",
  • "folderPath": "string",
  • "stream": "string",
  • "mashupTemplate": "string",
  • "allowQlikSenseApp": true,
  • "allowMashup": true,
  • "defaultOpen": "string",
  • "templateTitle": "string",
  • "templateDescription": "string",
  • "themeId": "string",
  • "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  • "usedFields": [
    ],
  • "usedSheets": [
    ]
}

Response samples

Content type
No sample

Get all Qlik apps

Get a list of all Qlik apps with pagination and filtering.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Stream", "FolderPath", "MashupTemplate"

name
string

QlikApp name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
stream
string

QlikApp stream used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
folder_id
string <uuid>

QlikApp folderId used for filtering (exact match).

mashup_template
string

QlikApp mashupTemplate used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Update Qlik app

Update an existing Qlik app by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the Qlik app to update.

Request Body schema:

The updated Qlik app data.

appId
required
string non-empty
name
required
string non-empty
description
string or null
folderId
required
string <uuid>
folderPath
required
string non-empty
stream
string or null
mashupTemplate
string or null
allowQlikSenseApp
required
boolean
allowMashup
required
boolean
defaultOpen
required
string non-empty
templateTitle
string or null
templateDescription
string or null
themeId
string or null
organizationId
string or null <uuid>
Array of objects or null (QlikFieldRequestDto)
Array of objects or null (QlikAppSheetsRequestDto)

Responses

Request samples

Content type
{
  • "appId": "string",
  • "name": "string",
  • "description": "string",
  • "folderId": "5b6379a4-2a6c-4085-b184-45838a3b8e7e",
  • "folderPath": "string",
  • "stream": "string",
  • "mashupTemplate": "string",
  • "allowQlikSenseApp": true,
  • "allowMashup": true,
  • "defaultOpen": "string",
  • "templateTitle": "string",
  • "templateDescription": "string",
  • "themeId": "string",
  • "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  • "usedFields": [
    ],
  • "usedSheets": [
    ]
}

Response samples

Content type
No sample

Get Qlik app by id

Get a Qlik app by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the Qlik app.

Responses

Response samples

Content type
No sample

Delete a single Qlik app

Delete a Qlik app by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the Qlik app to delete.

Responses

Response samples

Content type
No sample

Get Qlik apps of folder

Get Qlik apps of a specific folder or the root folder.

Authorizations:
Bearer
path Parameters
folderId
required
string <uuid>

The unique identifier of the folder (optional).

query Parameters
name
string

Filter by recipient name (optional). Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
ofRoot
boolean
Default: false

If true, retrieves Qlik apps of the root folder.

Responses

Response samples

Content type
No sample

Synchronize Qlik apps

Synchronize Qlik apps with the Qlik server.

Authorizations:
Bearer
path Parameters
appId
required
string

The Qlik app ID to synchronize (optional).

Responses

Response samples

Content type
No sample

Get Qlik app synchronization info

Get Qlik app synchronization information.

Authorizations:
Bearer

Responses

Response samples

Content type
No sample

Update Qlik app synchronization

Update the synchronization information of a Qlik app.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the Qlik app.

Request Body schema:

The updated synchronization information.

defaultFolderUrl
string or null
defaultFolderId
string or null <uuid>
qlikSenseServer
string or null
qlikSenseAdminUser
string or null
object (ScheduleRequestDto)

Responses

Request samples

Content type
{
  • "defaultFolderUrl": "string",
  • "defaultFolderId": "1f1371df-c978-4137-ba84-9ead709b283b",
  • "qlikSenseServer": "string",
  • "qlikSenseAdminUser": "string",
  • "schedule": {
    }
}

Response samples

Content type
No sample

Delete Qlik apps

Delete Qlik apps by their unique identifiers.

Authorizations:
Bearer
Request Body schema:

A list of Qlik app IDs to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Report

Get reports

Get a list of reports associated with the authenticated user with pagination and filtering.

Authorizations:
Bearer
query Parameters
project_id
string <uuid>

Filter by project ID (optional)

sort_by
string

Sort by field name (optional). Available fields: "Name", "Description", "Type", "Project.Name", "IsIteration"

name
string

Report name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description
string

Report description used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
type
string

Filter by report type (optional)

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get report by id

Get a report by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the report.

Responses

Response samples

Content type
No sample

Get report authorized users

Get a list of authorized users for a specific report with pagination and filtering.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the report.

query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Type", "Email"

type
string

Filter by user/group type (optional). Values: "user", "group"

name
string

Report name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Update report authorized users

Update the list of authorized users for a specific report.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the report.

Request Body schema:

The updated list of authorized users.

Array
id
string <uuid>
type
string or null

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
No sample

Add report authorized users

Add the list of authorized users for a specific report.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the report.

Request Body schema:

The list of authorized users to add.

Array
id
string <uuid>
type
string or null

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
No sample

Delete Report authorized users

Delete one or more Report authorized users by their IDs.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the report.

Request Body schema:

A list of { unique identifiers and type } for the Report authorized users to delete.

Array
id
string <uuid>
type
string or null

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
No sample

Resource

Get all resources

Get a list of all resources.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Example: "name", "description", "type", "url", "createdDate", "modifiedDate"

name
string

Resource name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description
string

Resource description used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Add resource

Add a new resource to the system.

Authorizations:
Bearer
Request Body schema:

The resource details to add.

name
required
string non-empty
description
string or null
type
required
string non-empty
organizationId
required
string <uuid>
url
required
string non-empty

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "type": "string",
  • "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  • "url": "string"
}

Response samples

Content type
No sample

Get user resources

Get resources specific to the authenticated user.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Example: "name", "description", "type", "url", "createdDate", "modifiedDate"

name
string

Resource name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description
string

Resource description used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Delete resources

Delete resources by their unique identifiers.

Authorizations:
Bearer
path Parameters
resourceIds
required
string
Request Body schema:

List of resource IDs to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Update resource

Update an existing resource by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the resource to update.

Request Body schema:

The updated resource details.

name
required
string non-empty
description
string or null
type
required
string non-empty
organizationId
required
string <uuid>
url
required
string non-empty

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "type": "string",
  • "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  • "url": "string"
}

Response samples

Content type
No sample

Get resource by ID

Get a resource by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the resource to retrieve.

Responses

Response samples

Content type
No sample

Delete resource by id.

Delete a resource by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the resource to delete.

Responses

Response samples

Content type
No sample

Security

Get roles

Get a list of roles

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Type", "CreatedDate", "ModifiedDate"

name
string

Group name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
is_active
boolean

Role IsActive field used for filtering.

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Add role

Add a new role to the system.

Authorizations:
Bearer
Request Body schema:

The data for the role to add.

name
required
string non-empty
description
string or null
allProjects
boolean
Array of objects or null (BaseEntityInfo)
required
object (PermissionDto)
isActive
required
boolean

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "allProjects": true,
  • "projects": [
    ],
  • "permissions": {
    },
  • "isActive": true
}

Response samples

Content type
No sample

Get roles info

Get simplified roles info (ID + Name).

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Type", "CreatedDate", "ModifiedDate"

name
string

Group name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
is_active
boolean

Role IsActive field used for filtering.

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get role by id

Get a role by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

Role ID.

Responses

Response samples

Content type
No sample

Delete role

Delete a role by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

Role ID.

Responses

Response samples

Content type
No sample

Update role

Update an existing role by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the role to update.

Request Body schema:

The updated role data.

name
required
string non-empty
description
string or null
allProjects
boolean
Array of objects or null (BaseEntityInfo)
required
object (PermissionDto)
isActive
required
boolean

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "allProjects": true,
  • "projects": [
    ],
  • "permissions": {
    },
  • "isActive": true
}

Response samples

Content type
No sample

Delete roles

Delete roles by their unique identifiers.

Authorizations:
Bearer
Request Body schema:

List of role IDs.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Get user permissions

Get all roles assigned to the current user.

Authorizations:
Bearer

Responses

Response samples

Content type
No sample

Get authentication configuration

Get authentication configuration (JWT, NTLM).

Authorizations:
Bearer

Responses

Response samples

Content type
No sample

Update authentication configuration

Update the authentication methods (JWT / NTLM).

Authorizations:
Bearer
Request Body schema:

The updated authentication configuration.

jwtAuth
required
boolean
ntlmAuth
required
boolean

Responses

Request samples

Content type
{
  • "jwtAuth": true,
  • "ntlmAuth": true
}

Response samples

Content type
No sample

SMTP Server

Get SMTP servers

Get a list of SMTP servers.

Authorizations:
Bearer

Responses

Response samples

Content type
No sample

Add SMTP server

Add a new SMTP server.

Authorizations:
Bearer
Request Body schema:
name
required
string non-empty
description
string or null
fromAddress
string or null
fromName
required
string non-empty
emailPrefix
string or null
hostName
required
string non-empty
smtpPort
required
integer <int32>
ssl
boolean
userName
string or null
password
string or null
testEmail
string or null

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "fromAddress": "string",
  • "fromName": "string",
  • "emailPrefix": "string",
  • "hostName": "string",
  • "smtpPort": 0,
  • "ssl": true,
  • "userName": "string",
  • "password": "string",
  • "testEmail": "string"
}

Response samples

Content type
No sample

Get SMTP server by id

Get a specific SMTP server by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

Responses

Response samples

Content type
No sample

Delete SMTP server

Delete a SMTP server by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

Responses

Response samples

Content type
No sample

Update SMTP server

Update an existing SMTP server by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>
Request Body schema:
name
required
string non-empty
description
string or null
fromAddress
string or null
fromName
required
string non-empty
emailPrefix
string or null
hostName
required
string non-empty
smtpPort
required
integer <int32>
ssl
boolean
userName
string or null
password
string or null
testEmail
string or null

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "fromAddress": "string",
  • "fromName": "string",
  • "emailPrefix": "string",
  • "hostName": "string",
  • "smtpPort": 0,
  • "ssl": true,
  • "userName": "string",
  • "password": "string",
  • "testEmail": "string"
}

Response samples

Content type
No sample

Tests the connection to an SMTP server using the provided configuration.

Authorizations:
Bearer
Request Body schema:

The SMTP server configuration to test.

name
required
string non-empty
description
string or null
fromAddress
string or null
fromName
required
string non-empty
emailPrefix
string or null
hostName
required
string non-empty
smtpPort
required
integer <int32>
ssl
boolean
userName
string or null
password
string or null
testEmail
string or null

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "fromAddress": "string",
  • "fromName": "string",
  • "emailPrefix": "string",
  • "hostName": "string",
  • "smtpPort": 0,
  • "ssl": true,
  • "userName": "string",
  • "password": "string",
  • "testEmail": "string"
}

Response samples

Content type
No sample

Downloads a log file for SMTP server operations.

Authorizations:
Bearer
path Parameters
fileName
required
string

The name of the log file to download.

Responses

Status

Download report

Download a report by its unique identifier.

Authorizations:
Bearer
path Parameters
RequestStatusId
required
string <uuid>

The unique identifier of the report to download.

Responses

Response samples

Content type
No sample

Download report file

Download a report file by its unique identifier.

Authorizations:
Bearer
path Parameters
Id
required
string <uuid>

The unique identifier of the report file to download.

Responses

Response samples

Content type
No sample

Download log file

Download a report log file by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the log file to download.

Responses

Response samples

Content type
No sample

Get task statuses

Get a list of available task statuses.

Authorizations:
Bearer
query Parameters
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get requests statuses

Get a list of available request statuses.

Authorizations:
Bearer
query Parameters
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Run task

Run a task immediately.

Authorizations:
Bearer
path Parameters
Id
required
string <uuid>

The Id parameter can accept either a TaskId or a TaskScheduleId.

Responses

Response samples

Content type
No sample

Run task request

Run a task request.

Authorizations:
Bearer
path Parameters
Id
required
string <uuid>

The Id parameter can accept either a TaskId or a TaskScheduleId.

Responses

Response samples

Content type
No sample

Stop task

Stop a task.

Authorizations:
Bearer
path Parameters
Id
required
string <uuid>

The Id parameter can accept either a TaskId or a TaskScheduleId.

Responses

Response samples

Content type
No sample

Delete request

Delete a request.

Authorizations:
Bearer
path Parameters
requestId
required
string <uuid>

The unique identifier of the request to delete.

Responses

Response samples

Content type
No sample

Generate report on-demand

Generates and executes an on-demand report request with selections and filters.

Authorizations:
Bearer
Request Body schema:

The on-demand request containing report configuration, selections, and options.

id
string <uuid>
type
string or null
object (OnDemandRequestConfig)
Array of objects or null (FieldSelection)
appId
string or null
ignoreExistingFilters
boolean
overrideReportApp
boolean

Responses

Request samples

Content type
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "type": "string",
  • "config": {
    },
  • "selections": [
    ],
  • "appId": "string",
  • "ignoreExistingFilters": true,
  • "overrideReportApp": true
}

Response samples

Content type
No sample

Storage Service

Get all file storage services

Get all file storage services, optionally filtered by type.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Description", "Type", "IsDefault"

name
string

File storage service name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description
string

File storage service description used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get file storage service by id

Get a file storage service by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the file storage service.

Responses

Response samples

Content type
No sample

Delete file storage service by id

Delete a file storage service by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the file storage service to delete.

Responses

Response samples

Content type
No sample

Delete multiple file storage services by their IDs

Delete multiple file storage services by their unique identifiers.

Authorizations:
Bearer
Request Body schema:

The list of IDs of the file storage services to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Subscription

Add subscription

Create a new subscription (destination).

Authorizations:
Bearer
Request Body schema:

The destination data.

name
string or null
description
string or null
triggerType
required
string non-empty
type
required
string non-empty
Array of objects or null (SubscriptionReportDto)
object (SubscriptionQlikEntityDto)
format
string or null
object (ScheduleRequestDto)
object (ExternalEventRequestDto)
Array of objects or null (SubscriptionRecipientDto)
subscribeTo
string or null
object (SubscriptionFilterDto)
required
object (SubscriptionEmailDto)
isActive
boolean

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "triggerType": "string",
  • "type": "string",
  • "reports": [
    ],
  • "qlikEntity": {
    },
  • "format": "string",
  • "schedule": {
    },
  • "externalEvent": {
    },
  • "recipients": [
    ],
  • "subscribeTo": "string",
  • "filter": {
    },
  • "email": {
    },
  • "isActive": true
}

Response samples

Content type
No sample

Get subscriptions

Get all subscriptions for the current user with support for pagination, filtering by name and type, and sorting.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "subscribeTo", "Type", "Subject", "triggerType", "lastExecutionDate", "nextExecutionDate"

subscribe_to
string

Subscribe_to used for filtering by title of the subscription.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
type
string

Filter by subscription type (Report, MultipleReports, QlikEntity) Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Delete subscriptions

Delete one or more subscriptions by their unique identifiers.

Authorizations:
Bearer
Request Body schema:

A list of subscription IDs to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Update subscription

Update an existing subscription (destination).

Authorizations:
Bearer
path Parameters
SubcriptionId
required
string <uuid>

The unique identifier of the subscription to update.

Request Body schema:

The destination data.

name
string or null
description
string or null
triggerType
required
string non-empty
type
required
string non-empty
Array of objects or null (SubscriptionReportDto)
object (SubscriptionQlikEntityDto)
format
string or null
object (ScheduleRequestDto)
object (ExternalEventRequestDto)
Array of objects or null (SubscriptionRecipientDto)
subscribeTo
string or null
object (SubscriptionFilterDto)
required
object (SubscriptionEmailDto)
isActive
boolean

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "triggerType": "string",
  • "type": "string",
  • "reports": [
    ],
  • "qlikEntity": {
    },
  • "format": "string",
  • "schedule": {
    },
  • "externalEvent": {
    },
  • "recipients": [
    ],
  • "subscribeTo": "string",
  • "filter": {
    },
  • "email": {
    },
  • "isActive": true
}

Response samples

Content type
No sample

Get user subscriptions

Get all subscriptions for the current user.

Authorizations:
Bearer
query Parameters
name
string

Filter by subscription site name (supports search operators via query string) Example: ?name[contains]=site or ?name[equals]=MySite

sort_by
string

Sort field: "name", "createddate", "modifieddate". Default is "name"

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get subscription by id

Get a subscription by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the subscription.

Responses

Response samples

Content type
No sample

Delete a single subscription

Delete a subscription by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the subscription to delete.

Responses

Response samples

Content type
No sample

Task

Add task

Add a new task.

Authorizations:
Bearer
Request Body schema:

The task data to add.

name
required
string non-empty
projectId
required
string <uuid>
description
string or null

Responses

Request samples

Content type
{
  • "name": "string",
  • "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
  • "description": "string"
}

Response samples

Content type
No sample

Get tasks

Authorizations:
Bearer
query Parameters
project_id
string <uuid>

Filter by project ID (optional).

is_active
boolean

Filter by active status (optional).

is_scheduled
boolean

Filter by scheduled status (optional).

name
string

Task name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
description
string

Task description used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
sort_by
string

Sort by field name (optional). Supported fields:

  • "Name"
  • "Description"
  • "Project"
  • "Organization"
  • "Enable"
  • "TestMode"
  • "Scheduled"
  • "CreatedDate"
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Delete tasks

Delete a list of tasks.

Authorizations:
Bearer
Request Body schema:

A list of task IDs to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Update task

Update an existing task.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the task.

Request Body schema:

The updated task data.

name
required
string non-empty
description
string or null
isActive
required
boolean
sendNotifications
boolean
notifyIfError
boolean
notifyIfWarning
boolean
notifyIfSuccess
boolean
notificationRecipients
string or null
notificationCc
string or null
notificationBcc
string or null
testMode
boolean
testModeRecipients
string or null

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "isActive": true,
  • "sendNotifications": true,
  • "notifyIfError": true,
  • "notifyIfWarning": true,
  • "notifyIfSuccess": true,
  • "notificationRecipients": "string",
  • "notificationCc": "string",
  • "notificationBcc": "string",
  • "testMode": true,
  • "testModeRecipients": "string"
}

Response samples

Content type
No sample

Get task by id

Get a task by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the task.

Responses

Response samples

Content type
No sample

Duplicate task

Duplicate an existing task by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the task to duplicate.

Request Body schema:

The request data for duplicating the task (To Overwrite report apps).

newName
string or null
Array of objects or null (OverwriteReportAppsDto)

Responses

Request samples

Content type
{
  • "newName": "string",
  • "overwriteReportApps": [
    ]
}

Response samples

Content type
No sample

Delete task

Delete a single task.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

A task ID to delete

Responses

Response samples

Content type
No sample

Enable or disable tasks

Enable or disable tasks.

Authorizations:
Bearer
Request Body schema:

A list of tasks to enable or disable.

Array
id
required
string <uuid>
isActive
required
boolean

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
No sample

Get task reports

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the task.

query Parameters
selected_format_id
string

Filter by selected format ID (optional).

sort_by
string

Sort by field name (optional). Supported fields: "format", "createdDate", etc.

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Get task report

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task.

taskReportId
required
string <uuid>

The unique identifier of the task report.

Responses

Response samples

Content type
No sample

/api/v2/tasks/{taskId}/reports

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>
Request Body schema:
reportId
required
string <uuid>
format
required
string non-empty
zipFolderFiles
boolean
zipEmailFiles
boolean
evaluateConditionForEachIteration
boolean
folderVariable
string or null
recipientsVariable
string or null
ftpVariable
string or null
hubAuthorizedUserVariable
string or null
dropboxVariable
string or null
onedriveVariable
string or null
googledriveVariable
string or null
emailAttachment
boolean
emailEmbedment
boolean
publishToQalyptusHub
boolean
maxFileOccurrences
integer <int32>
secureOutputFiles
boolean
fileOpenPassword
string or null
fileWritePassword
string or null
isOpenFilePasswordProtected
boolean
isWriteFilePasswordProtected
boolean
Array of objects or null (ReportConditionDto)
Array of objects or null (ReportFilterDto)
Array of objects or null (ReportStorageServiceDto)
Array of objects or null (TaskReportFolderDto)
Array of objects or null (OverwriteReportAppsDto)

Responses

Request samples

Content type
{
  • "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",
  • "format": "string",
  • "zipFolderFiles": true,
  • "zipEmailFiles": true,
  • "evaluateConditionForEachIteration": true,
  • "folderVariable": "string",
  • "recipientsVariable": "string",
  • "ftpVariable": "string",
  • "hubAuthorizedUserVariable": "string",
  • "dropboxVariable": "string",
  • "onedriveVariable": "string",
  • "googledriveVariable": "string",
  • "emailAttachment": true,
  • "emailEmbedment": true,
  • "publishToQalyptusHub": true,
  • "maxFileOccurrences": 0,
  • "secureOutputFiles": true,
  • "fileOpenPassword": "string",
  • "fileWritePassword": "string",
  • "isOpenFilePasswordProtected": true,
  • "isWriteFilePasswordProtected": true,
  • "reportConditions": [
    ],
  • "reportFilters": [
    ],
  • "reportStorageServices": [
    ],
  • "reportFolders": [
    ],
  • "overwriteReportApps": [
    ]
}

Response samples

Content type
No sample

Update task report

Update task reports for a specific task.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task.

taskReportId
required
string <uuid>

The unique identifier of task report.

Request Body schema:

Task report data to update.

reportId
required
string <uuid>
format
required
string non-empty
zipFolderFiles
boolean
zipEmailFiles
boolean
evaluateConditionForEachIteration
boolean
folderVariable
string or null
recipientsVariable
string or null
ftpVariable
string or null
hubAuthorizedUserVariable
string or null
dropboxVariable
string or null
onedriveVariable
string or null
googledriveVariable
string or null
emailAttachment
boolean
emailEmbedment
boolean
publishToQalyptusHub
boolean
maxFileOccurrences
integer <int32>
secureOutputFiles
boolean
fileOpenPassword
string or null
fileWritePassword
string or null
isOpenFilePasswordProtected
boolean
isWriteFilePasswordProtected
boolean
Array of objects or null (ReportConditionDto)
Array of objects or null (ReportFilterDto)
Array of objects or null (ReportStorageServiceDto)
Array of objects or null (TaskReportFolderDto)
Array of objects or null (OverwriteReportAppsDto)

Responses

Request samples

Content type
{
  • "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",
  • "format": "string",
  • "zipFolderFiles": true,
  • "zipEmailFiles": true,
  • "evaluateConditionForEachIteration": true,
  • "folderVariable": "string",
  • "recipientsVariable": "string",
  • "ftpVariable": "string",
  • "hubAuthorizedUserVariable": "string",
  • "dropboxVariable": "string",
  • "onedriveVariable": "string",
  • "googledriveVariable": "string",
  • "emailAttachment": true,
  • "emailEmbedment": true,
  • "publishToQalyptusHub": true,
  • "maxFileOccurrences": 0,
  • "secureOutputFiles": true,
  • "fileOpenPassword": "string",
  • "fileWritePassword": "string",
  • "isOpenFilePasswordProtected": true,
  • "isWriteFilePasswordProtected": true,
  • "reportConditions": [
    ],
  • "reportFilters": [
    ],
  • "reportStorageServices": [
    ],
  • "reportFolders": [
    ],
  • "overwriteReportApps": [
    ]
}

Response samples

Content type
No sample

Delete task report

Delete a task report by its unique identifier .

Authorizations:
Bearer
path Parameters
taskReportId
required
string <uuid>

The task report unique identifier to delete.

taskId
required
string <uuid>

The unique identifier of the task.

Responses

Response samples

Content type
No sample

Delete task reports

Delete a task reports by its unique identifiers .

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task reports to delete.

Request Body schema:

List of task reports unique identifiers to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Get task recipients

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The unique identifier of the task.

query Parameters
name
string

Filter by recipient name (optional). Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
email_address
string

Filter by recipient name (optional). Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
type
string

Filter by recipient type (optional). Available types : "user", "group".

sort_by
string

Sort by field name (optional). Supported fields: "type", "name", etc.

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Add task recepients

Add recepients to a task.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task

Request Body schema:

The task recepients details.

Array
id
required
string <uuid>
type
required
string non-empty
sendEmail
required
boolean
seeInHub
required
boolean

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
No sample

Delete task recepients

Delete a task recepients by its unique identifier and type.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task recepients to delete.

Request Body schema:

The task recepients to delete.

Array
id
required
string <uuid>
type
required
string non-empty
sendEmail
required
boolean
seeInHub
required
boolean

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
No sample

Update task users

Update users associated with a task.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task to update.

Request Body schema:

The updated task user details.

id
required
string <uuid>
type
required
string non-empty
sendEmail
required
boolean
seeInHub
required
boolean

Responses

Request samples

Content type
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "type": "string",
  • "sendEmail": true,
  • "seeInHub": true
}

Response samples

Content type
No sample

Get task triggers

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>
query Parameters
type
string

Filter by trigger type (optional).

sort_by
string

Sort by field name (optional). Supported fields: "type", "name", etc.

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Add task schedule

Add a new task schedule.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task

Request Body schema:

The task schedule data.

name
required
string non-empty
isActive
boolean
frequency
string or null
execution
string or null
priority
integer or null <int32>
timeZone
required
string non-empty
day
integer <int32>
month
integer <int32>
atHour
integer <int32>
atMinut
integer <int32>
everyHours
integer <int32>
fromHour
integer <int32>
fromMinut
integer <int32>
toHour
integer <int32>
weeklyDays
string or null
timeZoneOfset
string or null
startDate
required
string <date-time>
endDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "name": "string",
  • "isActive": true,
  • "frequency": "string",
  • "execution": "string",
  • "priority": 0,
  • "timeZone": "string",
  • "day": 0,
  • "month": 0,
  • "atHour": 0,
  • "atMinut": 0,
  • "everyHours": 0,
  • "fromHour": 0,
  • "fromMinut": 0,
  • "toHour": 0,
  • "weeklyDays": "string",
  • "timeZoneOfset": "string",
  • "startDate": "2019-08-24T14:15:22Z",
  • "endDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample

Update task schedule.

Update an existing task schedule.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task

taskScheduleId
required
string <uuid>

The unique identifier of the task schedule to update

Request Body schema:

The task schedule data.

name
required
string non-empty
isActive
boolean
frequency
string or null
execution
string or null
priority
integer or null <int32>
timeZone
required
string non-empty
day
integer <int32>
month
integer <int32>
atHour
integer <int32>
atMinut
integer <int32>
everyHours
integer <int32>
fromHour
integer <int32>
fromMinut
integer <int32>
toHour
integer <int32>
weeklyDays
string or null
timeZoneOfset
string or null
startDate
required
string <date-time>
endDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "name": "string",
  • "isActive": true,
  • "frequency": "string",
  • "execution": "string",
  • "priority": 0,
  • "timeZone": "string",
  • "day": 0,
  • "month": 0,
  • "atHour": 0,
  • "atMinut": 0,
  • "everyHours": 0,
  • "fromHour": 0,
  • "fromMinut": 0,
  • "toHour": 0,
  • "weeklyDays": "string",
  • "timeZoneOfset": "string",
  • "startDate": "2019-08-24T14:15:22Z",
  • "endDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample

Get task schedule.

Get a task schedule by its unique identifier and the task's unique identifier.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task.

taskScheduleId
required
string <uuid>

The unique identifier of the task Schedule.

Responses

Response samples

Content type
No sample

Delete task schedule

Delete a task schedule by its unique identifier.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task.

taskScheduleId
required
string <uuid>

The unique identifier of the task schedule to delete.

Responses

Response samples

Content type
No sample

Delete task triggers

Delete one or more task triggers by their unique identifiers.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task.

Request Body schema:

List of task triggers unique identifiers to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Add task external event

Add an external event to a task.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task.

Request Body schema:

The external event details.

name
required
string non-empty
description
string or null
appId
required
string non-empty
isActive
boolean
execution
string or null
priority
integer or null <int32>
startDate
required
string <date-time>
endDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "appId": "string",
  • "isActive": true,
  • "execution": "string",
  • "priority": 0,
  • "startDate": "2019-08-24T14:15:22Z",
  • "endDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample

Update task external event

Update an external event associated with a task.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task.

externalEventId
required
string <uuid>

The unique identifier of the external event to update.

Request Body schema:

The updated external event details.

name
required
string non-empty
description
string or null
appId
required
string non-empty
isActive
boolean
execution
string or null
priority
integer or null <int32>
startDate
required
string <date-time>
endDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "appId": "string",
  • "isActive": true,
  • "execution": "string",
  • "priority": 0,
  • "startDate": "2019-08-24T14:15:22Z",
  • "endDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample

Delete task external event

Delete a task external event by its unique identifier.

Authorizations:
Bearer
path Parameters
externalEventId
required
string <uuid>

The unique identifier of the task external event to delete.

taskId
required
string <uuid>

The unique identifier of the task.

Responses

Response samples

Content type
No sample

Get task external event

Get detailed information about a specific external event associated with a task.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The unique identifier of the task.

taskExternalEventId
required
string <uuid>

The unique identifier of the task external event.

Responses

Response samples

Content type
No sample

Update task email

Update a TaskEmail of a task.

Authorizations:
Bearer
path Parameters
taskId
required
string <uuid>

The ID of the task to update the TaskEmail for.

Request Body schema:

The updated TaskEmail data.

taskId
required
string <uuid>
from
string or null
bcBcc
boolean
bc
string or null
bcc
string or null
ccQlikVariableId
string or null <uuid>
bccQlikVariableId
string or null <uuid>
subject
required
string non-empty
message
required
string non-empty
isActive
boolean
oneToAll
boolean

Responses

Request samples

Content type
{
  • "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",
  • "from": "string",
  • "bcBcc": true,
  • "bc": "string",
  • "bcc": "string",
  • "ccQlikVariableId": "009367f7-7731-4b42-80ba-c925ab8a19ec",
  • "bccQlikVariableId": "5b8685b6-bf7c-447b-9ff3-8f7f5a2e0bf8",
  • "subject": "string",
  • "message": "string",
  • "isActive": true,
  • "oneToAll": true
}

Response samples

Content type
No sample

Trusted Origin

Get all trusted origins

Get a list of all trusted origins.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "Name", "Description", "Address"

name
string

Trusted origin name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
description
string

Trusted origin description used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Delete trusted origins

Delete Delete trusted origins by their unique identifiers.

Authorizations:
Bearer
Request Body schema:

The IDs of the trusted origins to delete.

Array
string <uuid>

Responses

Request samples

Content type
[
  • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]

Response samples

Content type
No sample

Add trusted origin

Create a new trusted origin.

Authorizations:
Bearer
Request Body schema:

The trusted origin details.

name
required
string non-empty
description
string or null
address
required
string non-empty

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "address": "string"
}

Response samples

Content type
No sample

Get trusted origin by id

Get a trusted origin by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the trusted origin.

Responses

Response samples

Content type
No sample

Delete trusted origin

Delete a trusted origin by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the trusted origin to delete.

Responses

Response samples

Content type
No sample

Update trusted origin

Update an existing trusted origin by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the trusted origin to update.

Request Body schema:

The updated trusted origin details.

name
required
string non-empty
description
string or null
address
required
string non-empty

Responses

Request samples

Content type
{
  • "name": "string",
  • "description": "string",
  • "address": "string"
}

Response samples

Content type
No sample

User

Add user

Add a new user.

Authorizations:
Bearer
Request Body schema:

The user details.

domainAccount
string or null
firstName
required
string non-empty
lastName
required
string non-empty
email
string or null
password
string or null
isActive
required
boolean
sendNotification
boolean
isoLanguage
string or null
Array of objects or null (BaseEntityInfo)
required
Array of objects (BaseEntityInfo)
Array of objects or null (BaseEntityInfo)

Responses

Request samples

Content type
{
  • "domainAccount": "string",
  • "firstName": "string",
  • "lastName": "string",
  • "email": "string",
  • "password": "string",
  • "isActive": true,
  • "sendNotification": true,
  • "isoLanguage": "string",
  • "roles": [
    ],
  • "organizations": [
    ],
  • "groups": [
    ]
}

Response samples

Content type
No sample

Get all users

Get a list of all users with pagination and filtering.

Authorizations:
Bearer
query Parameters
sort_by
string

Sort by field name (optional). Available fields: "FullName", "Email", "UserName", "IsActive", "Groups", "Type", "CreatedDate", "ModifiedDate"

full_name
string

User full name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
email
string

User email used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
is_active
boolean

User isActive field used for filtering (optional). values : true or false.

group_id
string <uuid>

Group ID used for filtering users by group membership. Only supports exact match (equals operator). Example: ?group_id=4ae9735a-d165-4671-bd00-4119204f00d8

page
integer <int32> [ 1 .. 2147483647 ]

Page number (1-based). Default is 1. Ignored when get_all = true.

page_size
integer <int32> [ 1 .. 50 ]

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

get_all
boolean

When true, pagination is disabled and all items are returned.

sort_direction
string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Responses

Response samples

Content type
No sample

Add recipient

Create a new recipient with default 'Hub users' role. Roles are automatically assigned and should not be provided in the request.

Authorizations:
Bearer
Request Body schema:

The recipient details (fullName, userName, email, isoLanguage, organizations).

firstName
required
string non-empty
lastName
required
string non-empty
email
string or null
password
string or null
isActive
required
boolean
isoLanguage
string or null
required
Array of objects (BaseEntityInfo)
Array of objects or null (BaseEntityInfo)

Responses

Request samples

Content type
{
  • "firstName": "string",
  • "lastName": "string",
  • "email": "string",
  • "password": "string",
  • "isActive": true,
  • "isoLanguage": "string",
  • "organizations": [
    ],
  • "groups": [
    ]
}

Response samples

Content type
No sample

Update user

Update an existing user by its unique identifier.

Authorizations:
Bearer
path Parameters
id
required
string <uuid>

The ID of the user to update.

Request Body schema:

The updated user details.

domainAccount
string or null
firstName
required
string non-empty
lastName
required
string non-empty
email
string or null
password
string or null
isActive
required
boolean
sendNotification
boolean
isoLanguage
string or null
Array of objects or null (BaseEntityInfo)
required
Array of objects (BaseEntityInfo)
Array of objects or null (BaseEntityInfo)

Responses

Request samples

Content type
{
  • "domainAccount": "string",
  • "firstName": "string",
  • "lastName": "string",
  • "email": "string",
  • "password": "string",
  • "isActive": true,
  • "sendNotification": true,
  • "isoLanguage": "string",
  • "roles": [
    ],
  • "organizations": [
    ],
  • "groups": [
    ]
}

Response samples

Content type
[...]
